Gecode::Advisors< A > Class Template Reference
Functionality by programming task » Programming actors

Class to iterate over advisors of a council. More...

`#include <core.hpp>`

## Public Member Functions

| Advisors (const Council< A > &c)
| Initialize.
bool | operator() (void) const
| Test whether there advisors left.
void | operator++ (void)
| Move iterator to next advisor.
A & | advisor (void) const
| Return advisor.

## Detailed Description

template<class A>
class Gecode::Advisors< A >

Class to iterate over advisors of a council.

Definition at line 1266 of file core.hpp.

## Constructor & Destructor Documentation

## Advisors()

template<class A>

Gecode::Advisors< A >::Advisors | ( | const Council< A > & | c | ) |

inline

Initialize.

Definition at line 3988 of file core.hpp.

## Member Function Documentation

## operator()()

template<class A>

bool Gecode::Advisors< A >::operator() | ( | void |  | ) | const

inline

Test whether there advisors left.

Definition at line 3996 of file core.hpp.

## operator++()

template<class A>

void Gecode::Advisors< A >::operator++ | ( | void |  | ) |

inline

Move iterator to next advisor.

Definition at line 4002 of file core.hpp.

## advisor()

template<class A>

A & Gecode::Advisors< A >::advisor | ( | void |  | ) | const

inline

Return advisor.

Definition at line 4010 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp